Bug 97622 - [patch] devel/gauche-sdl
Summary: [patch] devel/gauche-sdl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-22 16:30 UTC by Martin Wilke
Modified: 2006-07-08 08:49 UTC (History)
1 user (show)

See Also:


Attachments
gauche-sdl.diff (463 bytes, patch)
2006-05-22 16:30 UTC, Martin Wilke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Wilke 2006-05-22 16:30:19 UTC

- mirror change
- maintainer is cc'd

- Download Fix: http://people.freebsd.org/~fenner/portsurvey/devel.html#gauche-sdl
Comment 1 Edwin Groothuis freebsd_committer 2006-05-22 16:36:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Erik Greenwald 2006-05-24 15:25:41 UTC
Thank you for noticing and the update, Martin. I would ask that the
MASTER_SITES include my site as well.

+MASTER_SITES=	http://math.missouristate.edu/~erik/files/fbsd/ http://freebsd.unixfreunde.de/sources/
Comment 3 Sam Lawrance 2006-05-25 15:15:49 UTC
It seems the master site is still up at http://www.michaelvess.com/ ,  
but the tarball is not yet there.  Perhaps one of you might like to  
ask the vendor if he could put it back.
Comment 4 Martin Wilke freebsd_committer 2006-06-06 15:14:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 5 Erik Greenwald 2006-06-06 16:12:25 UTC
Developer re-tarred and posted on his website.

--- devel_gauche-sdl.patch begins here ---
Index: devel/gauche-sdl/Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/gauche-sdl/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- devel/gauche-sdl/Makefile	4 May 2006 21:40:38 -0000	1.11
+++ devel/gauche-sdl/Makefile	6 Jun 2006 15:06:26 -0000
@@ -8,8 +8,9 @@
 PORTNAME=	gauche-sdl
 PORTVERSION=	0.5.1
 CATEGORIES=	devel scheme
-MASTER_SITES=	http://www.michaelvess.com/code/
+MASTER_SITES=	http://michaelvess.com/files/
 DISTNAME=	${PORTFAKENAME}-${PORTVERSION}
+EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	erik@smluc.org
 COMMENT=	Scheme script interpreter with multibyte character handling
Index: devel/gauche-sdl/distinfo
===================================================================
RCS file: /home/ncvs/ports/devel/gauche-sdl/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- devel/gauche-sdl/distinfo	17 Nov 2005 21:01:34 -0000	1.2
+++ devel/gauche-sdl/distinfo	6 Jun 2006 15:06:26 -0000
@@ -1,3 +1,3 @@
-MD5 (Gauche-sdl-0.5.1.tar.gz) = 402998451db9d6fb98b0814439393fa5
-SHA256 (Gauche-sdl-0.5.1.tar.gz) = 7363ca581a3acd020e19bfd33212390253929907c2590c1899a14ddfdb31a7ee
-SIZE (Gauche-sdl-0.5.1.tar.gz) = 121766
+MD5 (Gauche-sdl-0.5.1.tgz) = faeb4511c3533dadae08ed0bef5987b2
+SHA256 (Gauche-sdl-0.5.1.tgz) = 14f724556768c6c839ec55c2e3546336f287e680c7531f2897938b97e433a4dc
+SIZE (Gauche-sdl-0.5.1.tgz) = 141359
--- devel_gauche-sdl.patch ends here ---

-- 
        -Erik <erik@smluc.org> [http://math.missouristate.edu/~erik]

The opinions expressed by me are not necessarily opinions. In all probability,
they are random rambling, and to be ignored. Failure to ignore may result in
severe boredom or confusion. Shake well before opening. Keep Refrigerated.
Comment 6 Erik Greenwald 2006-07-05 16:20:35 UTC
Ok, reworked the patch so it actually works right, also re-arranged so
the patch files can all be cvs rm'd and fixed it on amd64.

Has been tested on opteron, p4-xeon, then the patch was moved to a
seperate machine (athlon32) and applied to verify the patch.

If the inline patch doesn't extract right, it's also at
http://math.missouristate.edu/~erik/fbsd/devel_gauche-sdl.patch

--- devel_gauche-sdl.patch begins here ---
Index: devel/gauche-sdl/Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/gauche-sdl/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- devel/gauche-sdl/Makefile	4 May 2006 21:40:38 -0000	1.11
+++ devel/gauche-sdl/Makefile	5 Jul 2006 14:39:06 -0000
@@ -8,8 +8,9 @@
 PORTNAME=	gauche-sdl
 PORTVERSION=	0.5.1
 CATEGORIES=	devel scheme
-MASTER_SITES=	http://www.michaelvess.com/code/
-DISTNAME=	${PORTFAKENAME}-${PORTVERSION}
+MASTER_SITES=	http://michaelvess.com/files/
+DISTNAME=	${PORTFAKENAME}
+EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	erik@smluc.org
 COMMENT=	Scheme script interpreter with multibyte character handling
@@ -21,10 +22,10 @@
 
 PLIST_SUB=	GAUCHE_VERSION="`gauche-config -V`"\
 		TARGET="${CONFIGURE_TARGET}"
-WRKSRC=		${WRKDIR}/${PORTFAKENAME}
-PORTFAKENAME=	Gauche-sdl
+PORTFAKENAME=	Gauche-sdl-${PORTVERSION}
 USE_SDL=	image mixer sdl ttf
 GNU_CONFIGURE=	yes
+CFLAGS+=	-fPIC
 
 pre-configure:
 .for DIR in . image mixer ttf
@@ -33,9 +34,14 @@
 			-e "s|-lSDL|`${SDL_CONFIG} --libs`|"\
 			${WRKSRC}/src/${DIR}/Makefile.in
 .endfor
+.for FILE in gfx/gauche-sdl-gfx.h image/gauche-sdl-image.h \
+	mixer/gauche-sdl-mixer.h ttf/gauche-sdl-ttf.h gauche-sdl.h
+	${REINPLACE_CMD} -e "s|SDL/SDL|SDL|g" ${WRKSRC}/src/${FILE}
+.endfor
 		${REINPLACE_CMD} \
 			-e "s|SDL/SDL|SDL|g"\
 			-e "s|%%SDL_CFLAGS%%|`${SDL_CONFIG} --cflags`|"\
+			-e "s|\"-lSDL\"|\"`${SDL_CONFIG} --libs`\"|" \
 			${WRKSRC}/configure
 		${REINPLACE_CMD} -e "s|^CFLAGS.*|& `${SDL_CONFIG} --cflags`|" \
 			${WRKSRC}/src/gfx/Makefile.in
Index: devel/gauche-sdl/distinfo
===================================================================
RCS file: /home/ncvs/ports/devel/gauche-sdl/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- devel/gauche-sdl/distinfo	17 Nov 2005 21:01:34 -0000	1.2
+++ devel/gauche-sdl/distinfo	5 Jul 2006 14:39:06 -0000
@@ -1,3 +1,3 @@
-MD5 (Gauche-sdl-0.5.1.tar.gz) = 402998451db9d6fb98b0814439393fa5
-SHA256 (Gauche-sdl-0.5.1.tar.gz) = 7363ca581a3acd020e19bfd33212390253929907c2590c1899a14ddfdb31a7ee
-SIZE (Gauche-sdl-0.5.1.tar.gz) = 121766
+MD5 (Gauche-sdl-0.5.1.tgz) = faeb4511c3533dadae08ed0bef5987b2
+SHA256 (Gauche-sdl-0.5.1.tgz) = 14f724556768c6c839ec55c2e3546336f287e680c7531f2897938b97e433a4dc
+SIZE (Gauche-sdl-0.5.1.tgz) = 141359
Index: devel/gauche-sdl/files/patch-configure
===================================================================
RCS file: devel/gauche-sdl/files/patch-configure
diff -N devel/gauche-sdl/files/patch-configure
--- devel/gauche-sdl/files/patch-configure	2 Jan 2006 22:23:19 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,68 +0,0 @@
---- configure.orig	Tue Jan 21 23:22:40 2003
-+++ configure	Mon Jan  2 04:06:03 2006
-@@ -737,7 +737,7 @@
- fi
- echo "$ac_t""$CPP" 1>&6
- 
--for ac_hdr in SDL/SDL.h
-+for ac_hdr in SDL.h
- do
- ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
- echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-@@ -777,8 +777,10 @@
- fi
- done
- 
-+MYLAMEOLDCPPFLAGS="${CPPFLAGS}"
-+CPPFLAGS="${CPPFLAGS} -I/usr/local/include/SDL11 -I/usr/local/include -D_REENTRANT"
- 
--for ac_hdr in SDL/SDL_framerate.h
-+for ac_hdr in SDL_framerate.h
- do
- ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
- echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-@@ -812,7 +814,7 @@
-   cat >> confdefs.h <<EOF
- #define $ac_tr_hdr 1
- EOF
-- HAVE_SDL_GFX=1
-+# HAVE_SDL_GFX=1
- else
-   echo "$ac_t""no" 1>&6
- fi
-@@ -820,7 +822,7 @@
- 
- 
- 
--for ac_hdr in SDL/SDL_image.h
-+for ac_hdr in SDL_image.h
- do
- ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
- echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-@@ -862,7 +864,7 @@
- 
- 
- 
--for ac_hdr in SDL/SDL_mixer.h
-+for ac_hdr in SDL_mixer.h
- do
- ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
- echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-@@ -904,7 +906,7 @@
- 
- 
- 
--for ac_hdr in SDL/SDL_ttf.h
-+for ac_hdr in SDL_ttf.h
- do
- ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
- echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-@@ -944,7 +946,7 @@
- fi
- done
- 
--
-+CPPFLAGS="${MYLAMEOLDCPPFLAGS}"
- 
- # Sets the default value of INSTALL_TYPE macro.
- 
Index: devel/gauche-sdl/files/patch-src::gauche-sdl.h
===================================================================
RCS file: devel/gauche-sdl/files/patch-src::gauche-sdl.h
diff -N devel/gauche-sdl/files/patch-src::gauche-sdl.h
--- devel/gauche-sdl/files/patch-src::gauche-sdl.h	2 Mar 2004 16:56:35 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- src/gauche-sdl.h.orig	Mon Feb 24 21:20:18 2003
-+++ src/gauche-sdl.h	Sun Feb 15 18:27:17 2004
-@@ -20,7 +20,7 @@
- 
- #include <gauche/uvector.h>
- 
--#include <SDL/SDL.h>
-+#include <SDL.h>
- 
- /*****************************************************************************
-  * Miscellaneous
Index: devel/gauche-sdl/files/patch-src::image::gauche-sdl-image.h
===================================================================
RCS file: devel/gauche-sdl/files/patch-src::image::gauche-sdl-image.h
diff -N devel/gauche-sdl/files/patch-src::image::gauche-sdl-image.h
--- devel/gauche-sdl/files/patch-src::image::gauche-sdl-image.h	2 Mar 2004 16:56:35 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,10 +0,0 @@
---- src/image/gauche-sdl-image.h.orig	Sun Feb 15 18:29:18 2004
-+++ src/image/gauche-sdl-image.h	Sun Feb 15 18:29:37 2004
-@@ -20,6 +20,6 @@
- 
- #include "../gauche-sdl.h"
- 
--#include <SDL/SDL_image.h>
-+#include <SDL_image.h>
- 
- #endif /* GAUCHE_SDL_IMAGE_H */
Index: devel/gauche-sdl/files/patch-src::image::sdl-image-lib.stub
===================================================================
RCS file: devel/gauche-sdl/files/patch-src::image::sdl-image-lib.stub
diff -N devel/gauche-sdl/files/patch-src::image::sdl-image-lib.stub
--- devel/gauche-sdl/files/patch-src::image::sdl-image-lib.stub	2 Jan 2006 22:23:19 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,20 +0,0 @@
---- src/image/sdl-image-lib.stub.orig	Mon Jan  2 04:11:06 2006
-+++ src/image/sdl-image-lib.stub	Mon Jan  2 04:11:38 2006
-@@ -61,7 +61,7 @@
- (define-cproc img-load (file::<string>)
-   "ScmSdlSurface *s = SCM_NEW(ScmSdlSurface);
-    SCM_SET_CLASS(s, SCM_CLASS_SDL_SURFACE);
--   s->surface = IMG_Load((const char *)(SCM_STRING(file)->start));
-+   s->surface = IMG_Load((const char *)(SCM_STRING_START(file)));
- 
-    if (s->surface == NULL) SCM_RETURN(SCM_UNDEFINED);
- 
-@@ -82,7 +82,7 @@
-   "ScmSdlSurface *s = SCM_NEW(ScmSdlSurface);
-    SCM_SET_CLASS(s, SCM_CLASS_SDL_SURFACE);
-    s->surface = IMG_LoadTyped_RW(src, 0,
--                                 (char *)(SCM_STRING(type)->start));
-+                                 (char *)(SCM_STRING_START(type)));
- 
-    if (s->surface == NULL) SCM_RETURN(SCM_UNDEFINED);
- 
Index: devel/gauche-sdl/files/patch-src::mixer::gauche-sdl-mixer.h
===================================================================
RCS file: devel/gauche-sdl/files/patch-src::mixer::gauche-sdl-mixer.h
diff -N devel/gauche-sdl/files/patch-src::mixer::gauche-sdl-mixer.h
--- devel/gauche-sdl/files/patch-src::mixer::gauche-sdl-mixer.h	2 Mar 2004 16:56:35 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- src/mixer/gauche-sdl-mixer.h.orig	Sun Feb 15 18:31:18 2004
-+++ src/mixer/gauche-sdl-mixer.h	Sun Feb 15 18:31:38 2004
-@@ -20,7 +20,7 @@
- 
- #include "../gauche-sdl.h"
- 
--#include <SDL/SDL_mixer.h>
-+#include <SDL_mixer.h>
- 
- /*****************************************************************************
-  * Mixer
Index: devel/gauche-sdl/files/patch-src::sdl-lib.stub
===================================================================
RCS file: devel/gauche-sdl/files/patch-src::sdl-lib.stub
diff -N devel/gauche-sdl/files/patch-src::sdl-lib.stub
--- devel/gauche-sdl/files/patch-src::sdl-lib.stub	2 Jan 2006 22:23:19 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,60 +0,0 @@
---- src/sdl-lib.stub.orig	Mon Feb 24 21:20:18 2003
-+++ src/sdl-lib.stub	Sat Dec 31 13:22:35 2005
-@@ -868,7 +868,7 @@
- (define-cproc sdl-load-bmp (file::<string>)
-   "ScmSdlSurface *s = SCM_NEW(ScmSdlSurface);
-    SCM_SET_CLASS(s, SCM_CLASS_SDL_SURFACE);
--   s->surface = SDL_LoadBMP((const char *)(SCM_STRING(file)->start));
-+   s->surface = SDL_LoadBMP((const char *)(SCM_STRING_START(file)));
- 
-    if (s->surface == NULL) SCM_RETURN(SCM_UNDEFINED);
- 
-@@ -876,7 +876,7 @@
-    SCM_RETURN(SCM_OBJ(s));")
- 
- (define-cproc sdl-save-bmp (surface::<sdl-surface> file::<string>)
--  "int result = SDL_SaveBMP(surface, (const char *)(SCM_STRING(file)->start));
-+  "int result = SDL_SaveBMP(surface, (const char *)(SCM_STRING_START(file)));
-    SCM_RETURN(SCM_MAKE_INT(result));")
- 
- (define-cproc sdl-set-color-key (surface::<sdl-surface> flag::<uint> key::<uint>)
-@@ -950,7 +950,7 @@
-   (return <int> "SDL_ShowCursor"))
- 
- (define-cproc sdl-gl-load-library (path::<string>)
--  "int result = SDL_GL_LoadLibrary((const char *)(SCM_STRING(path)->start));
-+  "int result = SDL_GL_LoadLibrary((const char *)(SCM_STRING_START(path)));
-    SCM_RETURN(SCM_MAKE_INT(result));")
- 
- ;; MISSING:
-@@ -1055,8 +1055,8 @@
- ;;
- 
- (define-cproc sdl-wm-set-caption (title::<string> icon::<string>)
--  "SDL_WM_SetCaption((const char *)(SCM_STRING(title)->start),
--                     (const char *)(SCM_STRING(icon)->start));
-+  "SDL_WM_SetCaption((const char *)(SCM_STRING_START(title)),
-+                     (const char *)(SCM_STRING_START(icon)));
-    SCM_RETURN(SCM_UNDEFINED);")
- 
- (define-cproc sdl-wm-get-caption ()
-@@ -1269,7 +1269,7 @@
-    SCM_SET_CLASS(w, SCM_CLASS_SDL_WAV);
-    spec = &(SCM_SDL_WAV_SPEC(w));
- 
--   spec = SDL_LoadWAV((const char *)(SCM_STRING(file)->start), spec, &buffer,
-+   spec = SDL_LoadWAV((const char *)(SCM_STRING_START(file)), spec, &buffer,
-                       &len);
- 
-    SCM_SDL_WAV_BUFFER(w) = Scm_MakeU8VectorFromArrayShared(len, buffer);
-@@ -1384,8 +1384,8 @@
- (define-cproc sdl-rw-from-file (file::<string> mode::<string>)
-   "ScmSdlRWops *rw = SCM_NEW(ScmSdlRWops);
-    SCM_SET_CLASS(rw, SCM_CLASS_SDL_RWOPS);
--   rw->rwops = SDL_RWFromFile((const char *)(SCM_STRING(file)->start),
--                              (const char *)(SCM_STRING(mode)->start));
-+   rw->rwops = SDL_RWFromFile((const char *)(SCM_STRING_START(file)),
-+                              (const char *)(SCM_STRING_START(mode)));
- 
-    if (rw->rwops == NULL) SCM_RETURN(SCM_UNDEFINED);
- 
Index: devel/gauche-sdl/files/patch-src::ttf::gauche-sdl-ttf.h
===================================================================
RCS file: devel/gauche-sdl/files/patch-src::ttf::gauche-sdl-ttf.h
diff -N devel/gauche-sdl/files/patch-src::ttf::gauche-sdl-ttf.h
--- devel/gauche-sdl/files/patch-src::ttf::gauche-sdl-ttf.h	2 Mar 2004 16:56:35 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- src/ttf/gauche-sdl-ttf.h.orig	Sun Feb 15 18:31:53 2004
-+++ src/ttf/gauche-sdl-ttf.h	Sun Feb 15 18:32:10 2004
-@@ -20,7 +20,7 @@
- 
- #include "../gauche-sdl.h"
- 
--#include <SDL/SDL_ttf.h>
-+#include <SDL_ttf.h>
- 
- /*****************************************************************************
-  * TTF
--- devel_gauche-sdl.patch ends here ---

	-Erik
Comment 7 Martin Wilke freebsd_committer 2006-07-08 08:49:29 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!